Kerbal Space Program - Bug #20929

KSP - (In-game) Researched parts cant be bought
01/13/2019 02:20 PM - SubsonicMike

Status: Closed Start date: 01/13/2019
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version:

Version: 1.6.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Afternoon,

So the bug | am having is around purchasing parts after they have been researched.
For 90% of parts the game is working fine, but for a couple it keeps duplicating them in the R&D building.

00 to give you the flow of what happens, in the VAB | want to use a part but it "Requires an entry purchase". So | go to R&D and
purchase it. Then | go back to the VAB and it still says "Requires Entry purchase". So | go back to the R&D and the part has
duplicated itself with the new duplicate not being purchased. So i purchase the part and go back to the VAB. In the VAB it still says
"Requires Entry purchase". Going back again to the R&D I find the part has once again duplicated. | have repeated this 10 times or
more and it will seemingly just keep duplicating. Pictures are attached to help and support what | described above.

| am running the game vanilla, no mods installed.

Thank you,

Michael

History

#1 - 01/13/2019 03:34 PM - 4x4cheesecake

Did you start the savegame in a previous version of KSP?
The part you try to buy is the old version of the FL-T400 Fuel Tank which should not be listed in the tech node at all but the game seem to have
issues W|th old parts. There is also an |ssue with parts moved to another tech node during an update:

#2 - 01/13/2019 03:36 PM - SubsonicMike

Hello, when updating to 1.6.1 | started a new new game. Although there are two old save files still within the game. | will try removing these saves
from the folder and do a fresh install. See if that cures it.

Thank you,

Michael

#3 - 01/16/2019 07:08 PM - SubsonicMike

Confirmed the bug is now fixed. Looks like the old saves were messing with the new save game.
Thank you for the help

#4 - 11/08/2019 03:26 PM - victorr

- Status changed from New to Resolved

- % Done changed from 0 to 100

#5 - 01/18/2020 02:40 AM - chris.fulton

- Status changed from Resolved to Closed
https://forum.kerbalspaceprogram.com/index.php?/topic/181187-large-engine-plates-absent-in-vab-after-update/
